﻿using System.Drawing;
using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Plottable;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            double[] yValueArray = DataGen.Sin(50);

            plot.AddSignal(yValueArray);

            Tooltip tooltip = plot.AddTooltip("This point has\na negative slope", 25, yValueArray[25]);

            tooltip.BorderWidth = 5;
            tooltip.BorderColor = Color.Navy;
            tooltip.FillColor   = Color.Blue;
            tooltip.Font.Size   = 24;
            tooltip.Font.Color  = Color.White;
            tooltip.ArrowSize   = 15;

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}